# Log management

## Overview

Log management can display the logs generated while the program is running, such as operating system and application in the process of startup, running, and so on.Users can use this tool to accurately find key information from the massive log data, quickly find out the cause of error and solve the problem.

## Constraint manger
Log management provides log search (by keyword), log filter (by log generation time or log level), single log content copy, log file export, management tool page refresh, pack the log file compression and other functions.Select a type of log and you can act on it as needed.

### Menu
From the menu, the user can compress the package, learn how to use it (help)，view the tool information (about), and exit the application.
Packaging Settings
Click![](image/icon1.png)  > “Packaging”，you can package and export all logs or customize the type of logs needed for export. Zip /.tar.gz/.tar.bz2/.7z is supported. The export path and zip name can be customized.

![Fig 1 Log Packing Settings-big](image/1.png)
### Help
Click ![](image/icon1.png) > “Help”, you can view Log management user manual , learn how to use it.

![Fig 2 User Guide-big](image/2.png)
### About
Click ![](image/icon1.png) > “About”.A window pops up, showing the version of Log management, development platform and other information.

![Fig 3 About-big](image/3.png)
### Exit
Click![](image/icon1.png)  > “Exit”, the interface is closed.

## Log management
### Search

- Click![](image/icon2.png)，input key words.

- After the input is completed, the interface displays the search results;If no matching log content is found, the content is displayed as empty.

- Delete all keywords, then empty the search content.

![Fig 4 Search View-big](image/4.png)

### Filter
You can filter by time and by level.

1. Filter by time：How the log is filtered by the time it was generated.Options: Today, All, Last three days,Last week, Last month, Last three months. The default option is Today.Applicable types: All log types support filtering by time except Boot log.

2. Filter by level:：The way logs are filtered by level, you can select a level or range of levels for filtering.Options: All,Emerg, Alert, Crit, Err, Warning, Notice, Info. The default option is All.Applicable types：Systemd log.

### Copy
You can copy the log contents.Select a log and click the left mouse button, you can right-copy in the text box below the corresponding log to get all the contents of this log.

![Fig 5  Copy log content-big](image/5.png)

### Export

1. Users can export the current log to a file. The supported file formats include TXT, CSV, XLSX, HTML, XML, JSON.

2. In Log management interface,when the current log content is not empty, click "Export".

3. The save file interface pops up, enter the legal file name, and select "File Type".

4. Click "Save" to complete the operation.

![Fig 6 Export-big](image/6.png)

### Refresh
Support for real-time loading of log content. After the log content changes, click![](image/icon3.png)，the log information on the page can be updated synchronously.


## System
### Syslog

1. In Log management interface, click "Syslog".

2. The interface displays the system log list with fields of host, process, information and time.

3. When the mouse hovers over a log, the contents of the cell are highlighted and the details of the log are displayed.

![Fig 7 Syslog-big](image/7.png)
### Systemd

1. In Log management interface, click "Systemd".

2. The interface displays the systemd log list with fields of grade, host, error code, information and time.

3. When the mouse hovers over a log, the contents of the cell are highlighted and the details of the log are displayed.

![Fig 8 Systemd-big](image/8.png)
### Kernel

1. In Log management interface, click "Kernel".

2. The interface displays the kernel log list with fields of  host, process, information and time.

3. When the mouse hovers over a log, the contents of the cell are highlighted and the details of the log are displayed.

![Fig 9 Kernel-big](image/9.png)
## Start-up
### Boot

1. In Log management interface, click "Boot".

2. The interface displays the startup log list with fields of status and information.

3. When the mouse hovers over a log, the contents of the cell are highlighted and the details of the log are displayed.

![Fig 10 Boot-big](image/10.png)
### Dmesg

1. In Log management interface, click "Dmesg".

2. The interface displays the hardware boot log list with fields of information and time.

3. When the mouse hovers over a log, the contents of the cell are highlighted and the details of the log are displayed.

![Fig 11 Dmesg-big](image/11.png)
## APP&service
### Xorg

1. In Log management interface, click "Xorg".

2. The interface displays the X service log list with fields of information and time.

3. When the mouse hovers over a log, the contents of the cell are highlighted and the details of the log are displayed.

![Fig 12 Xorg-big](image/12.png)
### Samba(nmbd)

1. In Log management interface, click "Samba(nmbd)".

2. The interface displays the UDP share log list with fields of information and time.

3. When the mouse hovers over a log, the contents of the cell are highlighted and the details of the log are displayed.

![Fig 13 Samba(nmbd)-big](image/13.png)
### Dpkg

1. In Log management interface, click "Dpkg".

2. The interface displays the hardware boot log list with fields of installation situation, installation content and time.

3. When the mouse hovers over a log, the contents of the cell are highlighted and the details of the log are displayed.

![Fig 14 Dpkg-big](image/14.png)
### Cups(error)

1. In Log management interface, click "Cups(error)".

2. The interface displays the login failure log list with fields of status, information and time.

3. When the mouse hovers over a log, the contents of the cell are highlighted and the details of the log are displayed.

![Fig 15 Cups(error)-big](image/15.png)
### Alternatives

1. In Log management interface, click "Alternatives".

2. The interface displays the alternative log list with fields of log head, options, content and time.

3. When the mouse hovers over a log, the contents of the cell are highlighted and the details of the log are displayed.

![Fig 16 Alternatives-big](image/16.png)
### Cups(access)

1. In Log management interface, click "Cups(access)".

2. The interface displays the print manager log list with fields of server, protocol, status one, status two, information and time.

3. When the mouse hovers over a log, the contents of the cell are highlighted and the details of the log are displayed.

![Fig 17  Cups(access)-big](image/17.png)
### Samba(smbd)
1. In Log management interface, click "Samba(smbd)".

2. The interface displays the share log list with fields of information,status and time.

3. When the mouse hovers over a log, the contents of the cell are highlighted and the details of the log are displayed.

![Fig 18 Samba(smbd)-big](image/18.png)
## Security
### Auth

1. In Log management interface, click "Auth".

2. The interface displays the auth log list with fields of host, process, information and time.

3. When the mouse hovers over a log, the contents of the cell are highlighted and the details of the log are displayed.

![Fig 19 Auth-big](image/19.png)
### Wtmp

1. In Log management interface, click "Wtmp".

2. The interface displays the login log list with fields of usr, terminal, login, start time, end time and duration.

3. When the mouse hovers over a log, the contents of the cell are highlighted and the details of the log are displayed.

![Fig 20 Wtmp-big](image/20.png)
### Btmp

1. In Log management interface, click "Btmp".

2. The interface displays the login failure log list with fields of usr name, link way, login IP, start time, end time and duration.

3. When the mouse hovers over a log, the contents of the cell are highlighted and the details of the log are displayed.

![Fig 21 Btmp-big](image/21.png)
### Kysec Security

1. In Log management interface, click "Kysec Security".

2. The interface displays the kysec log list with fields of type, process id, usr id, path, operations, object information and time.

3. When the mouse hovers over a log, the contents of the cell are highlighted and the details of the log are displayed.

![Fig 22 Kysec Security-big](image/22.png)
### Audit

1. In Log management interface, click "Audit".

2. The interface displays the audit log list with fields of type, audits message, message content and time.

3. When the mouse hovers over a log, the contents of the cell are highlighted and the details of the log are displayed.

![Fig 23 Audit-big](image/23.png)

## Rescue mode

Log management provides a rescue mode, when you can not properly boot up, you can also get the log.

1. Help documents, Open [Terminal], change the directory to "/usr/sbin", and view the help document of rescue mode. Order：./logview -h(--help)

2. Log display

Open [Terminal], change the directory to“/usr/sbin”

- View [Boot]             ./logview -b(--boot-log)

- View [Syslog]             ./logview -y(--sys-log)

- View [Dmesg]  	    ./logview -d(--dmesg-log)

- View [Auth]          ./logview -a(--auth-log)

- View [Dpkg]   ./logview -p(--dpkg-log)

- View [Kernel]               ./logview -n(--kern-log)

- View [Wtmp]               ./logview -w(--wtmp-log)

- View [Audit]               ./logview -i(--audit-log)

- View [Systemd]             ./logview -j(--systemd-log)

- View [Btmp]	       ./logview -m(--btmp-log)

- View [Kylin Security]              ./logview -c(--kysec-log)

- View [Cups(access)]		    ./logview -o(--access-log)

- View [Samba(nmbd)]          ./logview -u(--udp-log)

- View [Samba(smbd)]              ./logview -t(--tcp-log)

- View [Alternatives]          ./logview -v(--alternatives-log)

- View [Xorg]		       ./logview -x(--xorg-log)

- View [Cups(error)] 		    ./logview -r(--error-log)

3. Filter by keyword, Open [Terminal], change the directory to“/usr/sbin”，filter out all information containing this keyword in a log type. Order：./logview -log type -k "keyword"

4. Filter by time

Open [Terminal], change the directory to“/usr/sbin”，for example,

- Filter all information in [System log] from the specified time up to the current time. Order：./logview -y -s xxxx-xx-xx\ xx:xx:xx

- Filter all information in [System log] by the specified time. Order： ./logview -y -e xxxx-xx-xx\ xx:xx:xx

- Filter all information within a time interval in [System log]. Order：./logview -y -s xxxx-xx-xx\ xx:xx:xx -e xxxx-xx-xx\ xx:xx:xx

5. Filter by level

Open [Terminal], change the directory to“/usr/sbin”，

- Filter all information in [Systemd log] level up to the [debug] level. Order：./logview -j -q level

- Filter all information in [Systemd log] from the [emergency] level up to the specified level. Order：./logview -j -l level

- Filters all information in [Systemd log] within a level interval. Order：./logview -j -l low level -q high level

6. Packing compression

- Do not specify a save path (save to/tmp by default), package and  compress all types of log files, change the directory to“/usr/sbin”, Order：./logview -z(--zip)

- Specify the file save path (such as /usr/sbin), package and compress all types of log files, change the directory to“/usr/sbin”，Order：./logview -z/usr/sbin/

## Follow System Settings
Log management defaults to follow the theme Settings.

![Fig 24 Dark mode-big](image/24.png)
